Bug 212502 - Review Request: perl-Chatbot-Eliza - Clone of the classic Eliza program
Review Request: perl-Chatbot-Eliza - Clone of the classic Eliza program
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Patrice Dumas
Fedora Package Reviews List
http://search.cpan.org/dist/Chatbot-E...
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-10-26 22:06 EDT by Chris Weyl
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-27 18:25:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2006-10-26 22:06:36 EDT
SRPM URL: http://home.comcast.net/~ckweyl/perl-Chatbot-Eliza-1.04-1.fc5.src.rpm
SPEC URL: http://home.comcast.net/~ckweyl/perl-Chatbot-Eliza.spec

Description:
This module implements the classic Eliza algorithm. The original Eliza
program was written by Joseph Weizenbaum and described in the
Communications of the ACM in 1966. Eliza is a mock Rogerian
psychotherapist. It prompts for user input, and uses a simple
transformation algorithm to change user input into a follow-up question.
The program is designed to give the appearance of understanding.
Comment 1 Patrice Dumas 2006-10-27 03:38:23 EDT
* rpmlint is silent
* free software, licence not included
* spec legible
* simple perl module, no BuildRequires needed
* match upstream
754199bbe591eaa11301aee108586fcd  Chatbot-Eliza-1.04.tar.gz
* sane provides
Provides: perl(Chatbot::Eliza) = 1.04

Needswork:

The language specific files in %doc should be tagged with the
appropriate %lang.

Comment:

Not a blocker, but I think that there could be a summary
explaining better what it the module does.
Comment 2 Chris Weyl 2006-10-27 12:37:40 EDT
(In reply to comment #1)
> Needswork:
> 
> The language specific files in %doc should be tagged with the
> appropriate %lang.

Is this a blocker, given that they're sample files in %doc and named "deutsch"
and "norsk"?  Given that there's a couple sample files for those two languages,
I suppose I could put them under, %doc/DE and %doc/NO?  Would that suffice?
 
Comment 3 Patrice Dumas 2006-10-27 12:48:52 EDT
No need to do that, I just ask for the following, instead of
a plain %doc:

%doc doctor.txt simple* README debug.cgi twobots
%lang(de) %doc deutsch*
%lang(??) %doc norsk*
Comment 4 Chris Weyl 2006-10-27 13:57:04 EDT
(In reply to comment #3)
> No need to do that, I just ask for the following, instead of
> a plain %doc:
> 
> %doc doctor.txt simple* README debug.cgi twobots
> %lang(de) %doc deutsch*
> %lang(??) %doc norsk*

Done:

SRPM URL: http://home.comcast.net/~ckweyl/perl-Chatbot-Eliza-1.04-2.fc6.src.rpm
SPEC URL: http://home.comcast.net/~ckweyl/perl-Chatbot-Eliza.spec

Out of curiosity, what does tagging these files in this fashion do?  Looking at
the resulting rpm I'm not seeing any difference.
Comment 5 Patrice Dumas 2006-10-27 17:30:28 EDT
(In reply to comment #4)
> Out of curiosity, what does tagging these files in this fashion do?  Looking at
> the resulting rpm I'm not seeing any difference.

I don't know what it should do, and I believe it does  nothing yet.


In the summary, I think the s of elisa should be a z.


APPROVED
Comment 6 Chris Weyl 2006-10-27 18:25:38 EDT
(In reply to comment #5)
> In the summary, I think the s of elisa should be a z.

Fixed, thanks. 

> APPROVED

Imported & building for devel, branches requested for FC-5, FC-6.

Thanks for the review!

Note You need to log in before you can comment on or make changes to this bug.